Daemon Power

The NetBSD Packages Collection: chat/spectrum

Brief description of the package:
XMPP transport/gateway based on libpurple

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://spectrum.im/.

Please note that this package has a gnu-gpl-v3 license.

The package is located in the "chat/spectrum" directory. The current source version of the package is "spectrum-1.4.8nb63". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for chat/spectrum :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-xmpppy>=0.4.1 py27-dns-[0-9]* py37-cryptodome-[0-9]* py37-setuptools-[0-9]* py37-expat-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.9 gmp>=5.0 gmp>=4.2.1 gmp>=5.0.1 py37-ecdsa>=0.13 py37-six>=1.9.0 py37-idna-[0-9]* py27-expat>=0nb4 py27-setuptools-[0-9]* py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 py27-readline>=0nb2 poco-data-sqlite>=1.6.1 poco-data>=1.6.1 poco>=1.6.1 pcre>=3.4nb1 pcre>=8.30nb1 poco>=1.6.1nb2 poco-data>=1.6.1nb2 libpurple>=2.11.0 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* lzo>=2.01 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 nettle>=2.4 p11-kit>=0.23.1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.6 p11-kit>=0.23.15nb1 libunistring>=0.9.4 py37-dbus>=0.23.4 glib2>=2.4.0 meson-[0-9]* ninja-build>=1.7 re2c>=0.11.3 dbus>=1.6 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 docbook-xml>=4.2 xmlcatmgr>=2.0beta1 perl>=5.0 libxml2>=2.6.2 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.9.10nb3 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.34nb4 x11-links>=1.32 osabi-NetBSD-9.0_STABLE dbus>=0.91 glib2>=2.64.0nb1 dbus-python-common>=1.1.1 dbus>=1.0 dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 farstream>=0.2.7 glib2>=2.16.0 gst-plugins1-base>=1.4 orc>=0.4.6 gstreamer1>=1.16.2 check>=0.9.5 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.62.0nb1 gstreamer1>=1.0.0 gstreamer1>=1.16.2nb1 gst-plugins1-base>=1.0.0 gstreamer1>=1.4 gupnp-igd>=0.2.1 gupnp>=0.20.3 glib2>=2.39.90 libsoup>=2.48.0 glib-networking-[0-9]* gnutls>=3.6.5 glib2>=2.60.0 libproxy>=0.3.1 libproxy>=0.2.3 gsettings-desktop-schemas>=3.4.2 gobject-introspection>=1.31 gnutls>=3.6.13nb2 libproxy>=0.4.11 brotli>=1.0.1 libpsl>=0.20.2 libidn2>=2.0.0 libpsl>=0.21.1nb1 gobject-introspection>=0.9.5 libsoup>=2.50.0 gssdp>=0.14.15 vala>=0.50 glib2>=2.48.0 libltdl>=2.4.2 graphviz>=2.26.3 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 tiff>=4.0.3nb5 giflib>=5.2.1nb4 png>=1.6.0nb1 fontconfig>=2.13.1nb1 libwebp>=0.6.0 lua53>=5.3.0<5.4 tk>=8.5.7 libXScrnSaver>=1.1.2 xorgproto>=2016.1 Xft2>=2.1 fontconfig>=2.2 libXrender>=0.9.2 Xft2>=2.1nb2 tcl>=8.5.7 sqlite3>=3.30.1.2 sqlite3>=3.0.8 sqlite3>=3.33.0nb1 Xft2>=2.1.7nb8 tcl>=8.6.1nb1 perl>=5.32.0 perl<5.34.0 pango>=1.6.0 Xft2>=2.1.7nb3 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.60 harfbuzz>=2.7.2 graphite2>=1.2 gtk-doc>=1.18 docbook-xml>=4.4nb1 docbook-xsl>=1.68.1 py37-anytree-[0-9]* py37-lxml-[0-9]* libxml2>=2.9.2 libxslt>=1.1.27 py37-pygments-[0-9]* pkgconf-[0-9]* itstool-[0-9]* py37-libxml2-[0-9]* libxml2>=2.9.10 py37-expat>=0 gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 py27-libxslt>=1.1.12 py27-libxml2>=2.6.8 py27-libxml2>=2.6.27 libxslt>=1.1.34 docbook-xml>=4.5 bash-[0-9]* libxml2>=2.6.12 gtk-doc>=1.32nb2 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 xcb-proto>=1.4 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0nb2 glib2>=2.14.0 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb5 gts>=0.7.6 netpbm>=10.11.6 netpbm>=10.35.80nb6 gd>=2.3.0nb1 tk>=8.6.10nb1 libltdl>=2.2.6 pango>=1.44.7nb3 gts>=0.7.6nb1 swig>=1.3.24<2.0 swig>=1.3.31<2.0 graphviz>=2.44.1nb1 libxslt-[0-9]* libsoup>=2.70.0nb3 gssdp>=0.12.2.1 gssdp>=1.0.3nb12 gupnp>=1.0.3nb8 libnice>=0.1.0 glib2>=2.44.0 gupnp-igd>=0.2.5nb9 libnice>=0.0.9 gst-plugins1-base>=1.16.2nb1 libnice>=0.1.16nb6 libidn>=0.4.6 py37-dbus>=1.2.16nb1 dbus-glib>=0.110nb1 libidn>=1.20nb1 gloox>=1.0 ImageMagick>=5.5.7.11nb1 openjpeg>=2.1.0 lcms2>=2.2 liblqr>=0.4.1 libheif>=1.8.0 libaom>=1.0.0 nasm>=2.13 libde265>=1.0.6 SDL>=1.2.5nb5 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=9.0.0 libvdpau>=0.3 libXdamage>=1.0.3 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 Xrandr>=0.99 Xrandr>=1.0.1 libxshmfence>=1.2 xorg-util-macros>=1.17 libdrm>=2.4.99 libdrm>=2.4.100 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 glu>=3.4.2 MesaLib>=20.0.1nb1 glu>=6.0 glu>=7.11.2 yasm>=0.6.0 SDL>=1.2.15nb17 x265>=1.1 fftw>=3.0 ghostscript>=8.63nb1 ghostscript-agpl-[0-9]* ghostscript-fonts>=6.0 libcups>=1.1.19nb3 libpaper>=1.1.22 freetype2>=2.10.0 jbig2dec>=0.19 jbig2dec>=0.16 libcups>=2.3.3nb5 liblqr>=0.4.2nb1 fftw>=3.1nb1 ghostscript>=9.05nb23 poco-data-sqlite>=1.6.1nb14 libpurple>=2.14.1nb3 ImageMagick>=7.0.10.34nb1 cmake>=2.8.5nb1 libuv>=1.6 curl>=7.12.3 nghttp2>=1.0.0 nghttp2>=1.40.0nb4 curl>=7.70.0nb2 rhash>=1.3.1 rhash>=1.3.9nb1 .

This package requires the following package(s) to run: py27-xmpppy>=0.4.1 py27-dns-[0-9]* py37-cryptodome-[0-9]* py37-setuptools-[0-9]* py37-expat-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python37>=3.7.0 python37>=3.7.9 gmp>=5.0 gmp>=4.2.1 gmp>=5.0.1 py37-ecdsa>=0.13 py37-six>=1.9.0 py37-idna-[0-9]* py27-expat>=0nb4 py27-setuptools-[0-9]* py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 py27-readline>=0nb2 readline>=2.2 readline>=6.0 poco-data-sqlite>=1.6.1 poco-data>=1.6.1 poco>=1.6.1 pcre>=3.4nb1 pcre>=8.30nb1 poco>=1.6.1nb2 poco-data>=1.6.1nb2 libpurple>=2.11.0 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* lzo>=2.01 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 nettle>=2.4 p11-kit>=0.23.1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.6 p11-kit>=0.23.15nb1 libunistring>=0.9.4 py37-dbus>=0.23.4 glib2>=2.4.0 dbus>=1.6 dbus>=0.91 glib2>=2.64.0nb1 dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 farstream>=0.2.7 glib2>=2.16.0 gst-plugins1-base>=1.4 perl>=5.0 orc>=0.4.6 gstreamer1>=1.16.2 check>=0.9.5 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.62.0nb1 gstreamer1>=1.0.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 gstreamer1>=1.16.2nb1 libxml2>=2.9.10nb3 gst-plugins1-base>=1.0.0 gstreamer1>=1.4 gupnp-igd>=0.2.1 gupnp>=0.20.3 glib2>=2.39.90 libsoup>=2.48.0 glib-networking-[0-9]* gnutls>=3.6.5 glib2>=2.60.0 libproxy>=0.3.1 libproxy>=0.2.3 gsettings-desktop-schemas>=3.4.2 gnutls>=3.6.13nb2 libproxy>=0.4.11 brotli>=1.0.1 libpsl>=0.20.2 libidn2>=2.0.0 libpsl>=0.21.1nb1 libsoup>=2.50.0 gssdp>=0.14.15 vala>=0.50 glib2>=2.48.0 libltdl>=2.4.2 graphviz>=2.26.3 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 tiff>=4.0.3nb5 giflib>=5.2.1nb4 png>=1.6.0nb1 fontconfig>=2.13.1nb1 libwebp>=0.6.0 lua53>=5.3.0<5.4 tk>=8.5.7 libXScrnSaver>=1.1.2 Xft2>=2.1 fontconfig>=2.2 libXrender>=0.9.2 Xft2>=2.1nb2 tcl>=8.5.7 sqlite3>=3.30.1.2 sqlite3>=3.0.8 sqlite3>=3.33.0nb1 Xft2>=2.1.7nb8 tcl>=8.6.1nb1 perl>=5.32.0 perl<5.34.0 pango>=1.6.0 Xft2>=2.1.7nb3 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.60 harfbuzz>=2.7.2 graphite2>=1.2 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0nb2 glib2>=2.14.0 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb5 gts>=0.7.6 netpbm>=10.11.6 netpbm>=10.35.80nb6 gd>=2.3.0nb1 tk>=8.6.10nb1 libltdl>=2.2.6 pango>=1.44.7nb3 gts>=0.7.6nb1 graphviz>=2.44.1nb1 libsoup>=2.70.0nb3 gssdp>=0.12.2.1 gssdp>=1.0.3nb12 gupnp>=1.0.3nb8 libnice>=0.1.0 glib2>=2.44.0 gupnp-igd>=0.2.5nb9 libnice>=0.0.9 gst-plugins1-base>=1.16.2nb1 libnice>=0.1.16nb6 libidn>=0.4.6 py37-dbus>=1.2.16nb1 dbus-glib>=0.110nb1 libidn>=1.20nb1 gloox>=1.0 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libgcrypt>=1.6.0 ImageMagick>=5.5.7.11nb1 pkgconf-[0-9]* openjpeg>=2.1.0 lcms2>=2.2 liblqr>=0.4.1 libheif>=1.8.0 libaom>=1.0.0 libde265>=1.0.6 SDL>=1.2.5nb5 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=9.0.0 libvdpau>=0.3 libXdamage>=1.0.3 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 Xrandr>=0.99 Xrandr>=1.0.1 libxshmfence>=1.2 libdrm>=2.4.99 libdrm>=2.4.100 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 glu>=3.4.2 MesaLib>=20.0.1nb1 glu>=6.0 glu>=7.11.2 SDL>=1.2.15nb17 x265>=1.1 fftw>=3.0 ghostscript>=8.63nb1 ghostscript-agpl-[0-9]* ghostscript-fonts>=6.0 libcups>=1.1.19nb3 libpaper>=1.1.22 freetype2>=2.10.0 jbig2dec>=0.19 jbig2dec>=0.16 libcups>=2.3.3nb5 liblqr>=0.4.2nb1 fftw>=3.1nb1 ghostscript>=9.05nb23 poco-data-sqlite>=1.6.1nb14 libpurple>=2.14.1nb3 ImageMagick>=7.0.10.34nb1 .

This package supports the following build-time options:

mysql
Enable MySQL support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:spectrum-1.4.8nb62.tgz(NetBSD 9.0)
aarch64:spectrum-1.4.8nb61.tgz(NetBSD 9.0)
earmv6hf:spectrum-1.4.8nb62.tgz(NetBSD 9.0)
earmv7hf:spectrum-1.4.8nb61.tgz(NetBSD 8.0)
earmv7hf:spectrum-1.4.8nb61.tgz(NetBSD 9.0)
earmv7hf:spectrum-1.4.8nb62.tgz(NetBSD 9.0)
i386:spectrum-1.4.8nb62.tgz(NetBSD 8.0)
i386:spectrum-1.4.8nb61.tgz(NetBSD 8.0)
i386:spectrum-1.4.8nb62.tgz(NetBSD 9.0)
i386:spectrum-1.4.8nb61.tgz(NetBSD 9.0)
sparc64:spectrum-1.4.8nb62.tgz(NetBSD 9.0)
x86_64:spectrum-1.4.8nb61.tgz(NetBSD 9.0)
x86_64:spectrum-1.4.8nb61.tgz(NetBSD 9.0)
x86_64:spectrum-1.4.8nb62.tgz(NetBSD 8.0)
x86_64:spectrum-1.4.8nb61.tgz(NetBSD 8.0)
x86_64:spectrum-1.4.8nb62.tgz(NetBSD 9.0)
x86_64:spectrum-1.4.8nb61.tgz(NetBSD 9.0)
x86_64:spectrum-1.4.8nb62.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]